curl --request POST \ --url https://cert.trustedform.com/{cert_id} \ --header 'Content-type: <content-type>' \ --data '{ "email_1": "user@example.com", "forbidden_scan_terms": "I do not agree to the terms of service", "phone_1": "999-999-0909", "reference": "1128238382829", "required_scan_terms": "I agree to the terms of service", "vendor": "Acme Co.", "campaign_id": "summer_promo_2021"}'
import requests
url = "https://cert.trustedform.com/{cert_id}"
payload = {
"email_1": "user@example.com",
"forbidden_scan_terms": "I do not agree to the terms of service",
"phone_1": "999-999-0909",
"reference": "1128238382829",
"required_scan_terms": "I agree to the terms of service",
"vendor": "Acme Co.",
"campaign_id": "summer_promo_2021"
}
headers = {"Content-type": "<content-type>"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Content-type': '<content-type>'},
body: JSON.stringify({
email_1: 'user@example.com',
forbidden_scan_terms: 'I do not agree to the terms of service',
phone_1: '999-999-0909',
reference: '1128238382829',
required_scan_terms: 'I agree to the terms of service',
vendor: 'Acme Co.',
campaign_id: 'summer_promo_2021'
})
};
fetch('https://cert.trustedform.com/{cert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cert.trustedform.com/{cert_id}"
payload := strings.NewReader("{\n \"email_1\": \"user@example.com\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"999-999-0909\",\n \"reference\": \"1128238382829\",\n \"required_scan_terms\": \"I agree to the terms of service\",\n \"vendor\": \"Acme Co.\",\n \"campaign_id\": \"summer_promo_2021\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://cert.trustedform.com/{cert_id}")
.header("Content-type", "<content-type>")
.body("{\n \"email_1\": \"user@example.com\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"999-999-0909\",\n \"reference\": \"1128238382829\",\n \"required_scan_terms\": \"I agree to the terms of service\",\n \"vendor\": \"Acme Co.\",\n \"campaign_id\": \"summer_promo_2021\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://cert.trustedform.com/{cert_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-type"] = '<content-type>'
request.body = "{\n \"email_1\": \"user@example.com\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"999-999-0909\",\n \"reference\": \"1128238382829\",\n \"required_scan_terms\": \"I agree to the terms of service\",\n \"vendor\": \"Acme Co.\",\n \"campaign_id\": \"summer_promo_2021\"\n}"
response = http.request(request)
puts response.read_body
{
"errors": {
"detail": "Account is inactive"
},
"message": "Account is inactive",
"outcome": "error",
"reason": "Account is inactive"
}
{
"outcome": "error",
"reason": "TrustedForm certificate has expired or could not be found"
}
{
"outcome": "error",
"reason": "Certificate is not claimable"
}
{
"outcome": "error",
"reason": "Certificate has been claimed too many times"
}
Claiming Certificates
Claiming a Certificate
TrustedForm account holders who are receiving certified leads can use the
TrustedForm API to claim the certificate provided with each lead. Doing so
Verifies the legitimacy of the certificate
Stores the certificate for future reference and
Provides programmatic access to the information shown on the certificate
To claim a certificate using the TrustedForm API, send an HTTP POST request
to the certificate URL sent by your publisher.
Do not make a request unless the URL starts with
https://cert.trustedform.com, otherwise you may expose your TrustedForm
credentials to someone else
Use a POST request — any other type of request will not claim the
certificate
Use the Accept: application/json request header
Use the Content-Type: application/json or Content-Type:
application/x-www-form-urlencoded header, and encode the request body
accordingly.
In the Authorization header, use the API key provided on the “Settings”
tab in the TrustedForm Application and the username ‘API’.
Page Scanning
As part of the claiming process, it’s often required that certain language
either exists or doesn’t exist on the page. For example, you may want to
ensure certain consent language exists. As another example, you may want
to ensure other language does not exist, such as “free iPhone”.
Page Scanning Params
You can use the required_scan_terms and forbidden_scan_terms
parameters.
required_scan_terms: Use this parameter to scan for language you want to ensure exist
on the page.
forbidden_scan_terms: Use this parameter to scan for language you want to ensure does
not exist on the page.
Often, you will want to scan against a variety of possible texts. The TrustedForm Claiming API enables you to do this in three ways:
Send the variations as a list using required_scan_terms[] or forbidden_scan_terms[]
Use wildcards in the consent language.
Use templates.
You can use a mixture of all three.
Wildcards
Use {{*}} in the consent language you wish to scan for as a wildcard.
For Example, passing “on behalf of {{*}} at the telephone number” will
match “on behalf of Mortgage Acme at the telephone number”.
Like using exact language, scans using wildcards can be sent in as
an array.
Templating
Templating is different than other versions of page scanning in that you
must 1) send it as JSON (i.e. Content-type of application/json); 2)
provide a list of key/values to use in the template.
If we were to use the example from above, we might use the following
templates:
When using wildcards in page scans and page scan templates, the default
method is to surround the wildcard or template key with “handlebar” braces
({{}}). If that conflicts with your system, you can provide your own
delimiter to use. Currently, TrustedForm only allows homogeneous delimiters
(i.e. the beginning and end are the same character(s)) such as **, |, or
even +++.
Sandboxed Certificates
Certificates created with the sandbox flag set to true cannot be
claimed.
POST
/
{cert_id}
Claiming a Certificate
curl --request POST \ --url https://cert.trustedform.com/{cert_id} \ --header 'Content-type: <content-type>' \ --data '{ "email_1": "user@example.com", "forbidden_scan_terms": "I do not agree to the terms of service", "phone_1": "999-999-0909", "reference": "1128238382829", "required_scan_terms": "I agree to the terms of service", "vendor": "Acme Co.", "campaign_id": "summer_promo_2021"}'
import requests
url = "https://cert.trustedform.com/{cert_id}"
payload = {
"email_1": "user@example.com",
"forbidden_scan_terms": "I do not agree to the terms of service",
"phone_1": "999-999-0909",
"reference": "1128238382829",
"required_scan_terms": "I agree to the terms of service",
"vendor": "Acme Co.",
"campaign_id": "summer_promo_2021"
}
headers = {"Content-type": "<content-type>"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Content-type': '<content-type>'},
body: JSON.stringify({
email_1: 'user@example.com',
forbidden_scan_terms: 'I do not agree to the terms of service',
phone_1: '999-999-0909',
reference: '1128238382829',
required_scan_terms: 'I agree to the terms of service',
vendor: 'Acme Co.',
campaign_id: 'summer_promo_2021'
})
};
fetch('https://cert.trustedform.com/{cert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cert.trustedform.com/{cert_id}"
payload := strings.NewReader("{\n \"email_1\": \"user@example.com\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"999-999-0909\",\n \"reference\": \"1128238382829\",\n \"required_scan_terms\": \"I agree to the terms of service\",\n \"vendor\": \"Acme Co.\",\n \"campaign_id\": \"summer_promo_2021\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://cert.trustedform.com/{cert_id}")
.header("Content-type", "<content-type>")
.body("{\n \"email_1\": \"user@example.com\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"999-999-0909\",\n \"reference\": \"1128238382829\",\n \"required_scan_terms\": \"I agree to the terms of service\",\n \"vendor\": \"Acme Co.\",\n \"campaign_id\": \"summer_promo_2021\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://cert.trustedform.com/{cert_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-type"] = '<content-type>'
request.body = "{\n \"email_1\": \"user@example.com\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"999-999-0909\",\n \"reference\": \"1128238382829\",\n \"required_scan_terms\": \"I agree to the terms of service\",\n \"vendor\": \"Acme Co.\",\n \"campaign_id\": \"summer_promo_2021\"\n}"
response = http.request(request)
puts response.read_body
An optional identifier for the campaign associated with the lead. Use this to track which campaign generated the lead without relying on the vendor field. TrustedForm will record this value on the certificate stored in your account and include it in reporting.
When claiming a certificate, you can pass an optional email (or email_1, email_2, etc)
parameter. TrustedForm will extract the email value and perform fingerprinting
against the available data.
When you claim a certificate you can calculate lead fingerprint values
using the email and phone number you received in the lead data
accompanying the certificate. Each fingerprint value is an SHA1 hash of
an email or phone value. Each fingerprint value should be provided in a
fingerprint parameter.
If none of the fingerprints you provide match a fingerprint collected on the
certificate you will receive the "none of the provided fingerprints match"
message in the claim warnings field. This indicates that the lead data
collected on the form does not match the lead data that you received.
Use this parameter to perform a scan of the page for text that must not
be present. TrustedForm will then perform a case and whitespace
insensitive search for the string. If the string is not found in the
HTML document, then "string found in snapshot" will be included in
the warnings key of the claim response.
When claiming a certificate, you can pass an optional phone (or phone_1, phone_2, etc)
parameter. TrustedForm will extract the phone number value and perform fingerprinting
against the available data.
When you claim a certificate, you can include an optional parameter
reference We will store this value in the certificate's claim record. A
use case for the reference parameter is to add your unique lead
identifier to the claim record, which will provide a reference point
from the claim to the certified lead that you received.
This will indicate which lead a certificate belongs to just by
examining the certificate data. In the case that your publisher has
passed you two leads with the same Certificate URL, this reference
parameter will allow you to determine which lead it was originally
passed with.
Use this parameter to perform a scan of the page for required text.
TrustedForm will then perform a case and whitespace insensitive search
for the string. If the string is not found in the HTML document, then
"string not found in snapshot" will be included in the warnings key of
the claim response.
You can provide your own delimiter to use when wrapping wildcards or
tempate variablies. Your choice of delimiter must be homogeneous (i.e.
the beginning and end are the same character(s)), such as
|, ==, or |||.
When claiming a certificate, you can pass the optional vendor
parameter. This is intended for tracking the name of the company
that provided the lead associated with the certificate. We will
store this value in the certificate’s claim record. When you use
TrustedForm reporting, you can easily filter or group by a vendor.
The result of the attempt to verify consent. Success indicates that the certificate was
claimed and did not generate any warnings related to consent verification. Failure indicates
that the certificate was claimed but generated warnings because no fingerprints matched,
forbidden scan terms were found or required scan terms were missing. Error indicates that
the certificate was not claimed and the request should be reviewed and potentially retried.
An array of strings indicating possible issues with the certificate
none of the provided fingerprints match: No fingerprints matched.
snapshot scan failed: The snapshot was unable to be scanned.
string not found in snapshot: A required page scan text was not found.
string found in snapshot: A forbidden page scan text was found.
Available options:
none of the provided fingerprints match,
snapshot scan failed,
string not found in snapshot,
string found in snapshot
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ActiveProspect Developer Documentation","colors":{"primary":"#22a7f0","light":"#79caf6","dark":"#22a7f0"},"logo":{"light":"https://mintcdn.com/activeprospectinc/ttzTIJYOTNQPAJMy/logo/activeprospect_logo.svg?fit=max\u0026auto=format\u0026n=ttzTIJYOTNQPAJMy\u0026q=85\u0026s=9c7503c7631642aa1f7288ae35cc02cc","dark":"https://mintcdn.com/activeprospectinc/ttzTIJYOTNQPAJMy/logo/activeprospect_whiteblue.svg?fit=max\u0026auto=format\u0026n=ttzTIJYOTNQPAJMy\u0026q=85\u0026s=3df29616a4d6781de4873141e49ca8e0"},"favicon":"https://mintcdn.com/activeprospectinc/ybHg7UeILJeU2Jw-/favicon.png?fit=max\u0026auto=format\u0026n=ybHg7UeILJeU2Jw-\u0026q=85\u0026s=95060b05f4b73bb5ad4a373e19c17430","navbar":{"links":[{"href":"https://support.activeprospect.com/hc/en-us","label":"Support"}],"primary":{"type":"button","label":"Sign in to ActiveProspect","href":"https://account.activeprospect.com"}},"footer":{"socials":{"facebook":"https://www.facebook.com/activeprospect","x":"https://twitter.com/activeprospect","instagram":"https://www.instagram.com/activeprospectinc","linkedin":"https://www.linkedin.com/company/activeprospect","youtube":"https://www.youtube.com/channel/UCN_HLECy6KzYhFfIyLM50rQ","github":"https://github.com/activeprospect"},"links":[{"header":"Customers","items":[{"label":"Knowledge Base","href":"https://support.activeprospect.com/hc/en-us"},{"label":"Start Certifying your Leads","href":"https://account.activeprospect.com/register/trustedform/certify"},{"label":"Product What's New","href":"https://whatsnew.activeprospect.com/"},{"label":"Platform Status","href":"https://status.activeprospect.com/"},{"label":"Integrations","href":"https://activeprospect.com/integrations"},{"label":"Add-ons","href":"https://activeprospect.com/leadconduit/add-on-services"},{"label":"Support Plans","href":"https://activeprospect.com/support-plans"}]},{"header":"Resources","items":[{"label":"TrustedForm Cert Demo","href":"https://activeprospect.com/products/trustedform-demo"},{"label":"Talk to an Expert","href":"https://activeprospect.com/get-demo"},{"label":"Blog","href":"https://activeprospect.com/blog"},{"label":"InsideCBM","href":"https://activeprospect.com/inside-cbm"},{"label":"Glossary","href":"https://activeprospect.com/glossary"},{"label":"TCPA Compliance","href":"https://activeprospect.com/tcpa-compliance"},{"label":"Ping Pick Post","href":"https://activeprospect.com/ping-pick-post"}]},{"header":"Company","items":[{"label":"About Us","href":"https://activeprospect.com/about-us"},{"label":"Conferences and Events","href":"https://activeprospect.com/activeprospect-events"},{"label":"Careers","href":"https://activeprospect.com/careers"},{"label":"Security","href":"https://activeprospect.com/security"},{"label":"Security Information Portal","href":"https://security.activeprospect.com/"},{"label":"Contact Us","href":"https://activeprospect.com/contact-us"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://activeprospect.com/privacy-policy"},{"label":"TrustedForm Privacy Policy","href":"https://activeprospect.com/trustedform-privacy-notice"},{"label":"Privacy Notice for California Residents","href":"https://activeprospect.com/privacy-notice-california"},{"label":"Terms of Service","href":"https://activeprospect.com/terms-of-service"},{"label":"TrustedForm Certify EULA","href":"https://activeprospect.com/trustedform-eula"}]}]},"seo":{"metatags":{"canonical":"https://developers.activeprospect.com"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"activeprospectinc","hasAudioNarration":false,"actualSubdomain":"activeprospectinc","customDomains":["developers.activeprospect.com"],"gitSource":{"type":"github","owner":"activeprospect","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea11512d9111c67b18d575","collectionId":"7533e224-8cf8-49b6-b7a8-e85a461a93bd","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea11512d9111c67b18d575"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aea11512d9111c67b18d575","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Documentation","count":115},{"language":"default","tag":"LeadConduit","count":99},{"language":"default","tag":"API Endpoints","count":92},{"language":"default","tag":"TrustedForm","count":26},{"language":"default","tag":"Flows","count":18},{"language":"default","tag":"TrustedForm API 4.0","count":11},{"language":"default","tag":"Account","count":9},{"language":"default","tag":"Fields","count":9},{"language":"default","tag":"Caps and Limits","count":8},{"language":"default","tag":"Operations","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".black-headline{color:#000;font-weight:700;font-size:18px}.tfbody{border:1px solid #000;background-color:#9bcae3;font-family:\"proxima nova\",sans-serif;color:#131718;width:670px;margin:0 auto;padding:20px;font-size:18px}.tfbody input{background-color:#6fb3c1;display:block;margin:10px 0;padding:6px 0;font-size:14px}.tfbody input[type=checkbox]{display:inline}.tfbody input[type=email],.tfbody input[type=password],.tfbody textarea{color:#fff;min-width:90%}.tfbody input[type=text]{color:#fff;min-width:90%;width:200px}.tfbody a{color:#fff}.tfbody .consent_copy{margin:auto;width:80%}.tfbody .form_field_hldr_hldr{width:100%;padding:12px}.tfbody .form_field_hldr{width:44%;display:inline-block}.check-wrapper{padding:6px}#test-form{margin:auto}#consent_tag_target{color:#00008b;width:100%;text-align:center;margin:6px;height:2rem}.indentpar{display:inline}.indented{margin-left:22px;margin-top:-28px;line-height:22px}[data-tf-element-role=\"\"],[data-tf-element-role=consent-language],[data-tf-element-role=offer]{border:2px solid #9bcae3}[data-tf-element-role=offer]:hover{border:2px solid #ff0}[data-tf-element-role=consent-language]:hover{border:2px solid #adff2f}.consent-hilight>* [data-tf-element-role]:not([data-tf-element-role=offer]):not([data-tf-element-role=consent-language]){background-color:inherit;box-shadow:0 0 1px 1px #8a2be2}.consent-hilight>[data-tf-element-role]:not([data-tf-element-role=offer]):not([data-tf-element-role=consent-language]){background-color:#ff0!important;box-shadow:0 0 1px 1px #8a2be2}[data-tf-element-role]:not([data-tf-element-role=offer]):not([data-tf-element-role=consent-language]):hover{background-color:#ff0}"}],"page":{"pagePath":"api-reference/claiming-certificates/claiming-a-certificate","slug":"/api-reference/claiming-certificates/claiming-a-certificate","pageMetadata":{"title":"Claiming a Certificate","description":"TrustedForm account holders who are receiving certified leads can use the\nTrustedForm API to claim the certificate provided with each lead. Doing so\n\n1. Verifies the legitimacy of the certificate\n2. Stores the certificate for future reference and\n3. Provides programmatic access to the information shown on the certificate\n\nTo claim a certificate using the TrustedForm API, send an HTTP POST request\nto the certificate URL sent by your publisher.\n\nDo not make a request unless the URL starts with\nhttps://cert.trustedform.com, otherwise you may expose your TrustedForm\ncredentials to someone else\n\n- Use a POST request — any other type of request will not claim the\n certificate\n- Use the Accept: application/json request header\n- Use the Content-Type: application/json or Content-Type:\n application/x-www-form-urlencoded header, and encode the request body\n accordingly.\n- In the Authorization header, use the API key provided on the \"Settings\"\n tab in the TrustedForm Application and the username 'API'.\n\n### Page Scanning\n\nAs part of the claiming process, it's often required that certain language\neither exists or doesn't exist on the page. For example, you may want to\nensure certain consent language exists. As another example, you may want\nto ensure other language does not exist, such as \"free iPhone\".\n\n#### Page Scanning Params\n\nYou can use the `required_scan_terms` and `forbidden_scan_terms`\nparameters.\n\n- `required_scan_terms`: Use this parameter to scan for language you want to ensure exist\n on the page.\n- `forbidden_scan_terms`: Use this parameter to scan for language you want to ensure does\n not exist on the page.\n\nOften, you will want to scan against a variety of possible texts. The TrustedForm Claiming API enables you to do this in three ways:\n\n1. Send the variations as a list using `required_scan_terms[]` or `forbidden_scan_terms[]`\n2. Use wildcards in the consent language.\n3. Use templates.\n\nYou can use a mixture of all three.\n\n#### Wildcards\n\nUse `{{*}}` in the consent language you wish to scan for as a wildcard.\nFor Example, passing \"on behalf of `{{*}}` at the telephone number\" will\nmatch \"on behalf of Mortgage Acme at the telephone number\".\n\nLike using exact language, scans using wildcards can be sent in as\nan array.\n\n#### Templating\n\nTemplating is different than other versions of page scanning in that you\nmust 1) send it as JSON (i.e. Content-type of application/json); 2)\nprovide a list of key/values to use in the template.\n\nIf we were to use the example from above, we might use the following\ntemplates:\n\n```json\n{\n \"required_scan_terms\": [\n {\n \"template\": \"on behalf of {{company}} at the telephone number\",\n \"variables\": [\n {\"company\": \"Mortgage Acme\"},\n {\"company\": \"Acme Mortgage\"},\n {\"company\": \"Acme Co.\"}\n ]\n },\n {\n \"template\": \"on behalf of {{company}} at the {{contact_method}}\",\n \"variables\": [\n {\"company\": \"Mortgage Acme\", \"contact_method\": \"email\"},\n {\"company\": \"Acme Mortgage\", \"contact_method\": \"fax number\"},\n {\"company\": \"Acme Mortgage\", \"contact_method\": \"email\"},\n {\"company\": \"Acme Co.\", \"contact_method\": \"email\"}\n ]\n }\n ]\n}\n```\n\n#### Scan Delimiters\n\nWhen using wildcards in page scans and page scan templates, the default\nmethod is to surround the wildcard or template key with \"handlebar\" braces\n(`{{}}`). If that conflicts with your system, you can provide your own\ndelimiter to use. Currently, TrustedForm only allows homogeneous delimiters\n(i.e. the beginning and end are the same character(s)) such as `**`, `|`, or\neven `+++`.\n\n### Sandboxed Certificates\n\nCertificates created with the `sandbox` flag set to `true` cannot be\nclaimed.\n","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id}","href":"/api-reference/claiming-certificates/claiming-a-certificate","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n h3: \"h3\",\n h4: \"h4\",\n li: \"li\",\n ol: \"ol\",\n p: \"p\",\n pre: \"pre\",\n span: \"span\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n }, {CodeBlock} = _components;\n if (!CodeBlock) _missingMdxReference(\"CodeBlock\", true);\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"TrustedForm account holders who are receiving certified leads can use the\\nTrustedForm API to claim the certificate provided with each lead. Doing so\"\n }), \"\\n\", _jsxs(_components.ol, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Verifies the legitimacy of the certificate\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Stores the certificate for future reference and\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Provides programmatic access to the information shown on the certificate\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"To claim a certificate using the TrustedForm API, send an HTTP POST request\\nto the certificate URL sent by your publisher.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Do not make a request unless the URL starts with\\n\", _jsx(_components.a, {\n href: \"https://cert.trustedform.com\",\n children: \"https://cert.trustedform.com\"\n }), \", otherwise you may expose your TrustedForm\\ncredentials to someone else\"]\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Use a POST request — any other type of request will not claim the\\ncertificate\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Use the Accept: application/json request header\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Use the Content-Type: application/json or Content-Type:\\napplication/x-www-form-urlencoded header, and encode the request body\\naccordingly.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"In the Authorization header, use the API key provided on the “Settings”\\ntab in the TrustedForm Application and the username ‘API’.\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Page Scanning\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"As part of the claiming process, it’s often required that certain language\\neither exists or doesn’t exist on the page. For example, you may want to\\nensure certain consent language exists. As another example, you may want\\nto ensure other language does not exist, such as “free iPhone”.\"\n }), \"\\n\", _jsx(_components.h4, {\n children: \"Page Scanning Params\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"You can use the \", _jsx(_components.code, {\n children: \"required_scan_terms\"\n }), \" and \", _jsx(_components.code, {\n children: \"forbidden_scan_terms\"\n }), \"\\nparameters.\"]\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"required_scan_terms\"\n }), \": Use this parameter to scan for language you want to ensure exist\\non the page.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"forbidden_scan_terms\"\n }), \": Use this parameter to scan for language you want to ensure does\\nnot exist on the page.\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Often, you will want to scan against a variety of possible texts. The TrustedForm Claiming API enables you to do this in three ways:\"\n }), \"\\n\", _jsxs(_components.ol, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Send the variations as a list using \", _jsx(_components.code, {\n children: \"required_scan_terms[]\"\n }), \" or \", _jsx(_components.code, {\n children: \"forbidden_scan_terms[]\"\n })]\n }), \"\\n\", _jsx(_components.li, {\n children: \"Use wildcards in the consent language.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Use templates.\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"You can use a mixture of all three.\"\n }), \"\\n\", _jsx(_components.h4, {\n children: \"Wildcards\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Use \", _jsx(_components.code, {\n children: \"{{*}}\"\n }), \" in the consent language you wish to scan for as a wildcard.\\nFor Example, passing “on behalf of \", _jsx(_components.code, {\n children: \"{{*}}\"\n }), \" at the telephone number” will\\nmatch “on behalf of Mortgage Acme at the telephone number”.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Like using exact language, scans using wildcards can be sent in as\\nan array.\"\n }), \"\\n\", _jsx(_components.h4, {\n children: \"Templating\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Templating is different than other versions of page scanning in that you\\nmust 1) send it as JSON (i.e. Content-type of application/json); 2)\\nprovide a list of key/values to use in the template.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"If we were to use the example from above, we might use the following\\ntemplates:\"\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"21\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"21\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"{\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"required_scan_terms\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"template\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"on behalf of {{company}} at the telephone number\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"variables\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Mortgage Acme\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"},\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Acme Mortgage\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"},\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Acme Co.\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" },\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"template\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"on behalf of {{company}} at the {{contact_method}}\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"variables\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Mortgage Acme\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \", \"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"contact_method\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"email\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"},\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Acme Mortgage\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \", \"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"contact_method\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"fax number\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"},\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Acme Mortgage\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \", \"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"contact_method\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"email\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"},\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"company\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"Acme Co.\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \", \"\n }), _jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \"\\\"contact_method\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"email\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" }\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsx(_components.h4, {\n children: \"Scan Delimiters\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"When using wildcards in page scans and page scan templates, the default\\nmethod is to surround the wildcard or template key with “handlebar” braces\\n(\", _jsx(_components.code, {\n children: \"{{}}\"\n }), \"). If that conflicts with your system, you can provide your own\\ndelimiter to use. Currently, TrustedForm only allows homogeneous delimiters\\n(i.e. the beginning and end are the same character(s)) such as \", _jsx(_components.code, {\n children: \"**\"\n }), \", \", _jsx(_components.code, {\n children: \"|\"\n }), \", or\\neven \", _jsx(_components.code, {\n children: \"+++\"\n }), \".\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Sandboxed Certificates\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Certificates created with the \", _jsx(_components.code, {\n children: \"sandbox\"\n }), \" flag set to \", _jsx(_components.code, {\n children: \"true\"\n }), \" cannot be\\nclaimed.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Claiming a Certificate","description":"TrustedForm account holders who are receiving certified leads can use the\nTrustedForm API to claim the certificate provided with each lead. Doing so\n\n1. Verifies the legitimacy of the certificate\n2. Stores the certificate for future reference and\n3. Provides programmatic access to the information shown on the certificate\n\nTo claim a certificate using the TrustedForm API, send an HTTP POST request\nto the certificate URL sent by your publisher.\n\nDo not make a request unless the URL starts with\nhttps://cert.trustedform.com, otherwise you may expose your TrustedForm\ncredentials to someone else\n\n- Use a POST request — any other type of request will not claim the\n certificate\n- Use the Accept: application/json request header\n- Use the Content-Type: application/json or Content-Type:\n application/x-www-form-urlencoded header, and encode the request body\n accordingly.\n- In the Authorization header, use the API key provided on the \"Settings\"\n tab in the TrustedForm Application and the username 'API'.\n\n### Page Scanning\n\nAs part of the claiming process, it's often required that certain language\neither exists or doesn't exist on the page. For example, you may want to\nensure certain consent language exists. As another example, you may want\nto ensure other language does not exist, such as \"free iPhone\".\n\n#### Page Scanning Params\n\nYou can use the `required_scan_terms` and `forbidden_scan_terms`\nparameters.\n\n- `required_scan_terms`: Use this parameter to scan for language you want to ensure exist\n on the page.\n- `forbidden_scan_terms`: Use this parameter to scan for language you want to ensure does\n not exist on the page.\n\nOften, you will want to scan against a variety of possible texts. The TrustedForm Claiming API enables you to do this in three ways:\n\n1. Send the variations as a list using `required_scan_terms[]` or `forbidden_scan_terms[]`\n2. Use wildcards in the consent language.\n3. Use templates.\n\nYou can use a mixture of all three.\n\n#### Wildcards\n\nUse `{{*}}` in the consent language you wish to scan for as a wildcard.\nFor Example, passing \"on behalf of `{{*}}` at the telephone number\" will\nmatch \"on behalf of Mortgage Acme at the telephone number\".\n\nLike using exact language, scans using wildcards can be sent in as\nan array.\n\n#### Templating\n\nTemplating is different than other versions of page scanning in that you\nmust 1) send it as JSON (i.e. Content-type of application/json); 2)\nprovide a list of key/values to use in the template.\n\nIf we were to use the example from above, we might use the following\ntemplates:\n\n```json\n{\n \"required_scan_terms\": [\n {\n \"template\": \"on behalf of {{company}} at the telephone number\",\n \"variables\": [\n {\"company\": \"Mortgage Acme\"},\n {\"company\": \"Acme Mortgage\"},\n {\"company\": \"Acme Co.\"}\n ]\n },\n {\n \"template\": \"on behalf of {{company}} at the {{contact_method}}\",\n \"variables\": [\n {\"company\": \"Mortgage Acme\", \"contact_method\": \"email\"},\n {\"company\": \"Acme Mortgage\", \"contact_method\": \"fax number\"},\n {\"company\": \"Acme Mortgage\", \"contact_method\": \"email\"},\n {\"company\": \"Acme Co.\", \"contact_method\": \"email\"}\n ]\n }\n ]\n}\n```\n\n#### Scan Delimiters\n\nWhen using wildcards in page scans and page scan templates, the default\nmethod is to surround the wildcard or template key with \"handlebar\" braces\n(`{{}}`). If that conflicts with your system, you can provide your own\ndelimiter to use. Currently, TrustedForm only allows homogeneous delimiters\n(i.e. the beginning and end are the same character(s)) such as `**`, `|`, or\neven `+++`.\n\n### Sandboxed Certificates\n\nCertificates created with the `sandbox` flag set to `true` cannot be\nclaimed.\n","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id}","href":"/api-reference/claiming-certificates/claiming-a-certificate","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"callbacks":{},"description":"TrustedForm account holders who are receiving certified leads can use the\nTrustedForm API to claim the certificate provided with each lead. Doing so\n\n1. Verifies the legitimacy of the certificate\n2. Stores the certificate for future reference and\n3. Provides programmatic access to the information shown on the certificate\n\nTo claim a certificate using the TrustedForm API, send an HTTP POST request\nto the certificate URL sent by your publisher.\n\nDo not make a request unless the URL starts with\nhttps://cert.trustedform.com, otherwise you may expose your TrustedForm\ncredentials to someone else\n\n- Use a POST request — any other type of request will not claim the\n certificate\n- Use the Accept: application/json request header\n- Use the Content-Type: application/json or Content-Type:\n application/x-www-form-urlencoded header, and encode the request body\n accordingly.\n- In the Authorization header, use the API key provided on the \"Settings\"\n tab in the TrustedForm Application and the username 'API'.\n\n### Page Scanning\n\nAs part of the claiming process, it's often required that certain language\neither exists or doesn't exist on the page. For example, you may want to\nensure certain consent language exists. As another example, you may want\nto ensure other language does not exist, such as \"free iPhone\".\n\n#### Page Scanning Params\n\nYou can use the `required_scan_terms` and `forbidden_scan_terms`\nparameters.\n\n- `required_scan_terms`: Use this parameter to scan for language you want to ensure exist\n on the page.\n- `forbidden_scan_terms`: Use this parameter to scan for language you want to ensure does\n not exist on the page.\n\nOften, you will want to scan against a variety of possible texts. The TrustedForm Claiming API enables you to do this in three ways:\n\n1. Send the variations as a list using `required_scan_terms[]` or `forbidden_scan_terms[]`\n2. Use wildcards in the consent language.\n3. Use templates.\n\nYou can use a mixture of all three.\n\n#### Wildcards\n\nUse `{{*}}` in the consent language you wish to scan for as a wildcard.\nFor Example, passing \"on behalf of `{{*}}` at the telephone number\" will\nmatch \"on behalf of Mortgage Acme at the telephone number\".\n\nLike using exact language, scans using wildcards can be sent in as\nan array.\n\n#### Templating\n\nTemplating is different than other versions of page scanning in that you\nmust 1) send it as JSON (i.e. Content-type of application/json); 2)\nprovide a list of key/values to use in the template.\n\nIf we were to use the example from above, we might use the following\ntemplates:\n\n```json\n{\n \"required_scan_terms\": [\n {\n \"template\": \"on behalf of {{company}} at the telephone number\",\n \"variables\": [\n {\"company\": \"Mortgage Acme\"},\n {\"company\": \"Acme Mortgage\"},\n {\"company\": \"Acme Co.\"}\n ]\n },\n {\n \"template\": \"on behalf of {{company}} at the {{contact_method}}\",\n \"variables\": [\n {\"company\": \"Mortgage Acme\", \"contact_method\": \"email\"},\n {\"company\": \"Acme Mortgage\", \"contact_method\": \"fax number\"},\n {\"company\": \"Acme Mortgage\", \"contact_method\": \"email\"},\n {\"company\": \"Acme Co.\", \"contact_method\": \"email\"}\n ]\n }\n ]\n}\n```\n\n#### Scan Delimiters\n\nWhen using wildcards in page scans and page scan templates, the default\nmethod is to surround the wildcard or template key with \"handlebar\" braces\n(`{{}}`). If that conflicts with your system, you can provide your own\ndelimiter to use. Currently, TrustedForm only allows homogeneous delimiters\n(i.e. the beginning and end are the same character(s)) such as `**`, `|`, or\neven `+++`.\n\n### Sandboxed Certificates\n\nCertificates created with the `sandbox` flag set to `true` cannot be\nclaimed.\n","operationId":"ClaimerWeb.ClaimController.create","parameters":["00d2f31e-963e-4a4f-b113-5829732dd7d1","d57c7e02-5286-46ad-8327-dbc2f189dbeb"],"requestBody":"e815bbc9-9f10-4431-baa9-d5221ce0a416","responses":{"201":"7fcff1ec-77b4-4ed2-b4de-431d00c268ef","400":"1233aa7b-f20b-4d40-9211-250272cd7efb","401":"1ecf8ab8-2fe4-41b0-95ac-31009402e0cb","402":"58651966-eda9-4b2e-8322-c5da1e924871","404":"e7575fd9-933d-462e-acd7-2a2ea030f9dd","405":"c61fb00b-24a2-422d-abe4-14ff75528806","422":"cf72cd7c-b10d-47a2-9b43-5216cb896743"},"security":[],"summary":"Claiming a Certificate","tags":["Claiming Certificates"],"method":"post","type":"path","servers":["371b2407-45a8-41eb-be2b-d0e5a4677c60"],"path":"/{cert_id}","baseUrlOptions":["https://cert.trustedform.com"],"title":"Claiming a Certificate","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"00d2f31e-963e-4a4f-b113-5829732dd7d1":{"description":"Can be either `application/json` or `application/x-www-form-urlencoded`.\n","in":"header","name":"Content-type","required":true,"schema":{"type":"string","isRequired":true,"description":"Can be either `application/json` or `application/x-www-form-urlencoded`.\n","uniqueKey":"","typeLabel":"string"}},"d57c7e02-5286-46ad-8327-dbc2f189dbeb":{"description":"Certificate ID","in":"path","name":"cert_id","required":true,"schema":{"type":"string","isRequired":true,"description":"Certificate ID","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"description":"POST body for claiming a cert","example":{"email_1":"user@example.com","forbidden_scan_terms":"I do not agree to the terms of service","phone_1":"999-999-0909","reference":"1128238382829","required_scan_terms":"I agree to the terms of service","vendor":"Acme Co.","campaign_id":"summer_promo_2021"},"properties":{"campaign_id":{"description":"An optional identifier for the campaign associated with the lead. Use this to track which campaign generated the lead without relying on the vendor field. TrustedForm will record this value on the certificate stored in your account and include it in reporting.","type":"string","uniqueKey":"campaign_id","typeLabel":"string"},"email":{"description":"When claiming a certificate, you can pass an optional email (or email_1, email_2, etc)\nparameter. TrustedForm will extract the email value and perform fingerprinting\nagainst the available data.\n","type":"string","uniqueKey":"email","typeLabel":"string"},"fingerprints":{"description":"When you claim a certificate you can calculate lead fingerprint values\nusing the email and phone number you received in the lead data\naccompanying the certificate. Each fingerprint value is an SHA1 hash of\nan email or phone value. Each fingerprint value should be provided in a\nfingerprint parameter.\n\nIf none of the fingerprints you provide match a fingerprint collected on the\ncertificate you will receive the \"none of the provided fingerprints match\"\nmessage in the claim warnings field. This indicates that the lead data\ncollected on the form does not match the lead data that you received.\n","type":"string","uniqueKey":"fingerprints","typeLabel":"string"},"forbidden_scan_terms":{"oneOf":[{"type":"string","description":"Use this parameter to perform a scan of the page for text that must not\nbe present. TrustedForm will then perform a case and whitespace\ninsensitive search for the string. If the string is not found in the\nHTML document, then \"string found in snapshot\" will be included in\nthe warnings key of the claim response.\n","uniqueKey":"forbidden_scan_terms.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"forbidden_scan_terms.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"Use this parameter to perform a scan of the page for text that must not\nbe present. TrustedForm will then perform a case and whitespace\ninsensitive search for the string. If the string is not found in the\nHTML document, then \"string found in snapshot\" will be included in\nthe warnings key of the claim response.\n","uniqueKey":"forbidden_scan_terms.oneOf.1","typeLabel":"string[]"},{"type":"object","title":"PageScan","description":"Use this parameter to perform a scan of the page for text that must not\nbe present. TrustedForm will then perform a case and whitespace\ninsensitive search for the string. If the string is not found in the\nHTML document, then \"string found in snapshot\" will be included in\nthe warnings key of the claim response.\n","x-struct":"Elixir.ClaimerWeb.Schemas.PageScan","properties":{"template":{"description":"The template text to use when performing the page scan. Variables\ndefined in the text (using `{{variable_name}} will be substituted for\nthose defined in the `variables` parameter.\n","type":"string","uniqueKey":"forbidden_scan_terms.oneOf.2.template","typeLabel":"string"},"variables":{"items":{"description":"A list of key/value pairs as JSON objects.","properties":{"key":{"description":"replace `key` with the variable name you want to use\n","type":"string","uniqueKey":"forbidden_scan_terms.oneOf.2.variables.items.[INDEX].key","typeLabel":"string"},"value":{"description":"replace `value` with the value to replace the variable with\n","type":"string","uniqueKey":"forbidden_scan_terms.oneOf.2.variables.items.[INDEX].value","typeLabel":"string"}},"type":"object","uniqueKey":"forbidden_scan_terms.oneOf.2.variables.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"forbidden_scan_terms.oneOf.2.variables","typeLabel":"object[]"}},"uniqueKey":"forbidden_scan_terms.oneOf.2","typeLabel":"PageScan · object"},{"type":"array","items":{"description":"A JSON object containing the template and variables to use for\nsubstitutions\n","properties":{"template":{"description":"The template text to use when performing the page scan. Variables\ndefined in the text (using `{{variable_name}} will be substituted for\nthose defined in the `variables` parameter.\n","type":"string","uniqueKey":"forbidden_scan_terms.oneOf.3.items.[INDEX].template","typeLabel":"string"},"variables":{"items":{"description":"A list of key/value pairs as JSON objects.","properties":{"key":{"description":"replace `key` with the variable name you want to use\n","type":"string","uniqueKey":"forbidden_scan_terms.oneOf.3.items.[INDEX].variables.items.[INDEX].key","typeLabel":"string"},"value":{"description":"replace `value` with the value to replace the variable with\n","type":"string","uniqueKey":"forbidden_scan_terms.oneOf.3.items.[INDEX].variables.items.[INDEX].value","typeLabel":"string"}},"type":"object","uniqueKey":"forbidden_scan_terms.oneOf.3.items.[INDEX].variables.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"forbidden_scan_terms.oneOf.3.items.[INDEX].variables","typeLabel":"object[]"}},"title":"PageScan","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.PageScan","uniqueKey":"forbidden_scan_terms.oneOf.3.items.[INDEX]","typeLabel":"PageScan · object"},"description":"Use this parameter to perform a scan of the page for text that must not\nbe present. TrustedForm will then perform a case and whitespace\ninsensitive search for the string. If the string is not found in the\nHTML document, then \"string found in snapshot\" will be included in\nthe warnings key of the claim response.\n","uniqueKey":"forbidden_scan_terms.oneOf.3","typeLabel":"PageScan · object[]"}],"uniqueKey":"forbidden_scan_terms","typeLabel":"string | string[] | PageScan · object | PageScan · object[]"},"phone":{"description":"When claiming a certificate, you can pass an optional phone (or phone_1, phone_2, etc)\nparameter. TrustedForm will extract the phone number value and perform fingerprinting\nagainst the available data.\n","type":"string","uniqueKey":"phone","typeLabel":"string"},"reference":{"description":"When you claim a certificate, you can include an optional parameter\nreference We will store this value in the certificate's claim record. A\nuse case for the reference parameter is to add your unique lead\nidentifier to the claim record, which will provide a reference point\nfrom the claim to the certified lead that you received.\n\nThis will indicate which lead a certificate belongs to just by\nexamining the certificate data. In the case that your publisher has\npassed you two leads with the same Certificate URL, this reference\nparameter will allow you to determine which lead it was originally\npassed with.\n","type":"string","uniqueKey":"reference","typeLabel":"string"},"required_scan_terms":{"oneOf":[{"type":"string","description":"Use this parameter to perform a scan of the page for required text.\nTrustedForm will then perform a case and whitespace insensitive search\nfor the string. If the string is not found in the HTML document, then\n\"string not found in snapshot\" will be included in the warnings key of\nthe claim response.\n","uniqueKey":"required_scan_terms.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"required_scan_terms.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"Use this parameter to perform a scan of the page for required text.\nTrustedForm will then perform a case and whitespace insensitive search\nfor the string. If the string is not found in the HTML document, then\n\"string not found in snapshot\" will be included in the warnings key of\nthe claim response.\n","uniqueKey":"required_scan_terms.oneOf.1","typeLabel":"string[]"},{"type":"object","title":"PageScan","description":"Use this parameter to perform a scan of the page for required text.\nTrustedForm will then perform a case and whitespace insensitive search\nfor the string. If the string is not found in the HTML document, then\n\"string not found in snapshot\" will be included in the warnings key of\nthe claim response.\n","x-struct":"Elixir.ClaimerWeb.Schemas.PageScan","properties":{"template":{"description":"The template text to use when performing the page scan. Variables\ndefined in the text (using `{{variable_name}} will be substituted for\nthose defined in the `variables` parameter.\n","type":"string","uniqueKey":"required_scan_terms.oneOf.2.template","typeLabel":"string"},"variables":{"items":{"description":"A list of key/value pairs as JSON objects.","properties":{"key":{"description":"replace `key` with the variable name you want to use\n","type":"string","uniqueKey":"required_scan_terms.oneOf.2.variables.items.[INDEX].key","typeLabel":"string"},"value":{"description":"replace `value` with the value to replace the variable with\n","type":"string","uniqueKey":"required_scan_terms.oneOf.2.variables.items.[INDEX].value","typeLabel":"string"}},"type":"object","uniqueKey":"required_scan_terms.oneOf.2.variables.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"required_scan_terms.oneOf.2.variables","typeLabel":"object[]"}},"uniqueKey":"required_scan_terms.oneOf.2","typeLabel":"PageScan · object"},{"type":"array","items":{"description":"A JSON object containing the template and variables to use for\nsubstitutions\n","properties":{"template":{"description":"The template text to use when performing the page scan. Variables\ndefined in the text (using `{{variable_name}} will be substituted for\nthose defined in the `variables` parameter.\n","type":"string","uniqueKey":"required_scan_terms.oneOf.3.items.[INDEX].template","typeLabel":"string"},"variables":{"items":{"description":"A list of key/value pairs as JSON objects.","properties":{"key":{"description":"replace `key` with the variable name you want to use\n","type":"string","uniqueKey":"required_scan_terms.oneOf.3.items.[INDEX].variables.items.[INDEX].key","typeLabel":"string"},"value":{"description":"replace `value` with the value to replace the variable with\n","type":"string","uniqueKey":"required_scan_terms.oneOf.3.items.[INDEX].variables.items.[INDEX].value","typeLabel":"string"}},"type":"object","uniqueKey":"required_scan_terms.oneOf.3.items.[INDEX].variables.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"required_scan_terms.oneOf.3.items.[INDEX].variables","typeLabel":"object[]"}},"title":"PageScan","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.PageScan","uniqueKey":"required_scan_terms.oneOf.3.items.[INDEX]","typeLabel":"PageScan · object"},"description":"Use this parameter to perform a scan of the page for required text.\nTrustedForm will then perform a case and whitespace insensitive search\nfor the string. If the string is not found in the HTML document, then\n\"string not found in snapshot\" will be included in the warnings key of\nthe claim response.\n","uniqueKey":"required_scan_terms.oneOf.3","typeLabel":"PageScan · object[]"}],"uniqueKey":"required_scan_terms","typeLabel":"string | string[] | PageScan · object | PageScan · object[]"},"scan_delimiter":{"description":"You can provide your own delimiter to use when wrapping wildcards or\ntempate variablies. Your choice of delimiter must be homogeneous (i.e.\nthe beginning and end are the same character(s)), such as\n`|`, `==`, or `|||`.\n","type":"string","uniqueKey":"scan_delimiter","typeLabel":"string"},"vendor":{"description":"When claiming a certificate, you can pass the optional vendor\nparameter. This is intended for tracking the name of the company\nthat provided the lead associated with the certificate. We will\nstore this value in the certificate’s claim record. When you use\nTrustedForm reporting, you can easily filter or group by a vendor.\n","type":"string","uniqueKey":"vendor","typeLabel":"string"}},"title":"ClaimRequest","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimRequestV3","uniqueKey":"","typeLabel":"ClaimRequest · object"},"examples":{"Example":{"title":"Example","value":{"email_1":"user@example.com","forbidden_scan_terms":"I do not agree to the terms of service","phone_1":"999-999-0909","reference":"1128238382829","required_scan_terms":"I agree to the terms of service","vendor":"Acme Co.","campaign_id":"summer_promo_2021"}}},"exampleType":"generated"}},"description":"Claiming Parameters","required":false,"exampleType":"generated"},"responses":{"7fcff1ec-77b4-4ed2-b4de-431d00c268ef":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"ConsentClaimResponse","required":["outcome","masked_cert_url","is_masked","scans","fingerprints"],"x-struct":"Elixir.ClaimerWeb.Schemas.LimitedOrFullClaim","example":{"fingerprints":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"is_masked":false,"masked_cert_url":"https://example.com/1145b610ac97aa9f92d7cd2195446eac5e67ce53","outcome":"success","scans":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"warnings":[]},"properties":{"fingerprints":{"example":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"properties":{"matching":{"description":"Requested fingerprints that match fingerprints collected with the certificate","items":{"type":"string","uniqueKey":"oneOf.0.fingerprints.matching.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.0.fingerprints.matching","typeLabel":"string[]"},"not_matching":{"description":"Fingerprints that do not match fingerprints collected with the certificate","items":{"type":"string","uniqueKey":"oneOf.0.fingerprints.not_matching.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.0.fingerprints.not_matching","typeLabel":"string[]"}},"title":"Fingerprints","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimFingerprints","isRequired":true,"uniqueKey":"oneOf.0.fingerprints","typeLabel":"Fingerprints · object"},"is_masked":{"description":"A boolean indicating whether the certificate is masked","type":"boolean","isRequired":true,"uniqueKey":"oneOf.0.is_masked","typeLabel":"boolean"},"masked_cert_url":{"oneOf":[{"description":"A certificate url that masks the lead source url and snapshot","type":"string","isRequired":true,"uniqueKey":"oneOf.0.masked_cert_url.oneOf.0","typeLabel":"string"},{"description":"A certificate url that masks the lead source url and snapshot","type":"null","isRequired":true,"uniqueKey":"oneOf.0.masked_cert_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.masked_cert_url","typeLabel":"string | null"},"outcome":{"default":"success","description":"The result of the attempt to verify consent. Success indicates that the certificate was\nclaimed and did not generate any warnings related to consent verification. Failure indicates\nthat the certificate was claimed but generated warnings because no fingerprints matched,\nforbidden scan terms were found or required scan terms were missing. Error indicates that\nthe certificate was not claimed and the request should be reviewed and potentially retried.\n","enum":["success","failure","error"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.outcome","typeLabel":"enum\u003cstring>"},"scans":{"example":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"properties":{"forbidden_found":{"description":"Requested required text found on page","items":{"type":"string","uniqueKey":"oneOf.0.scans.forbidden_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.0.scans.forbidden_found","typeLabel":"string[]"},"forbidden_not_found":{"description":"Requested required text not found on page","items":{"type":"string","uniqueKey":"oneOf.0.scans.forbidden_not_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.0.scans.forbidden_not_found","typeLabel":"string[]"},"required_found":{"description":"Requested required text found on page","items":{"type":"string","uniqueKey":"oneOf.0.scans.required_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.0.scans.required_found","typeLabel":"string[]"},"required_not_found":{"description":"Requested required text not found on page","items":{"type":"string","uniqueKey":"oneOf.0.scans.required_not_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.0.scans.required_not_found","typeLabel":"string[]"}},"required":["required_found","required_not_found","forbidden_found","forbidden_not_found"],"title":"PageScans","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimPageScans","isRequired":true,"uniqueKey":"oneOf.0.scans","typeLabel":"PageScans · object"},"reason":{"description":"Provides an explanation for failure or error.\n\nOnly used for `outcome` of `failure` or `error`.\n","type":"string","uniqueKey":"oneOf.0.reason","typeLabel":"string"},"warnings":{"description":" An array of strings indicating possible issues with the certificate\n\n * `none of the provided fingerprints match`: No fingerprints matched.\n * `snapshot scan failed`: The snapshot was unable to be scanned.\n * `string not found in snapshot`: A required page scan text was not found.\n * `string found in snapshot`: A forbidden page scan text was found.\n","items":{"enum":["none of the provided fingerprints match","snapshot scan failed","string not found in snapshot","string found in snapshot"],"type":"string","uniqueKey":"oneOf.0.warnings.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","uniqueKey":"oneOf.0.warnings","typeLabel":"enum\u003cstring>[]"}},"uniqueKey":"oneOf.0","typeLabel":"ConsentClaimResponse · object"},{"type":"object","title":"ConsentAndInsightsClaimResponse","required":["outcome","cert","fingerprints","masked_cert_url","is_masked","scans","warnings"],"x-struct":"Elixir.ClaimerWeb.Schemas.LimitedOrFullClaim","example":{"cert":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"cert_id":"ddbb5429ca0063f857197df1a4638665bc143eee","created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"fingerprints":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"is_masked":false,"masked_cert_url":"https://example.com/1145b610ac97aa9f92d7cd2195446eac5e67ce53","outcome":"success","scans":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"warnings":[]},"properties":{"cert":{"example":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"cert_id":"ddbb5429ca0063f857197df1a4638665bc143eee","created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"properties":{"age_seconds":{"description":"Number of seconds since the last user interaction with the certificate","type":"integer","isRequired":true,"uniqueKey":"oneOf.1.cert.age_seconds","typeLabel":"integer"},"approx_ip_geo":{"description":"Approximate geolocation based on IP","properties":{"city":{"oneOf":[{"description":"City Name","type":"string","uniqueKey":"oneOf.1.cert.approx_ip_geo.city.oneOf.0","typeLabel":"string"},{"description":"City Name","type":"null","uniqueKey":"oneOf.1.cert.approx_ip_geo.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.cert.approx_ip_geo.city","typeLabel":"string | null"},"country_code":{"description":"Country Code","type":"string","uniqueKey":"oneOf.1.cert.approx_ip_geo.country_code","typeLabel":"string"},"lat":{"description":"Latitude","type":"number","uniqueKey":"oneOf.1.cert.approx_ip_geo.lat","typeLabel":"number"},"lon":{"description":"Longitude","type":"number","uniqueKey":"oneOf.1.cert.approx_ip_geo.lon","typeLabel":"number"},"postal_code":{"description":"Mailing address postal code","type":"string","uniqueKey":"oneOf.1.cert.approx_ip_geo.postal_code","typeLabel":"string"},"state":{"description":"State/Province or Political Subdivision abbreviation","type":"string","uniqueKey":"oneOf.1.cert.approx_ip_geo.state","typeLabel":"string"},"time_zone":{"description":"Timezone name","type":"string","uniqueKey":"oneOf.1.cert.approx_ip_geo.time_zone","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"oneOf.1.cert.approx_ip_geo","typeLabel":"object"},"browser":{"description":"Browser parsed from the user-agent, when known","properties":{"full":{"description":"A human-friendly version of the browser parsed from the user-agent","type":"string","uniqueKey":"oneOf.1.cert.browser.full","typeLabel":"string"},"name":{"description":"Browser name","type":"string","uniqueKey":"oneOf.1.cert.browser.name","typeLabel":"string"},"version":{"description":"Browser version","properties":{"full":{"description":"A String containing the version","type":"string","uniqueKey":"oneOf.1.cert.browser.version.full","typeLabel":"string"},"major":{"description":"A String containing the major version","type":"string","uniqueKey":"oneOf.1.cert.browser.version.major","typeLabel":"string"},"minor":{"description":"A String containing the minor version","type":"string","uniqueKey":"oneOf.1.cert.browser.version.minor","typeLabel":"string"},"patch":{"description":"A String containing the patch version","type":"string","uniqueKey":"oneOf.1.cert.browser.version.patch","typeLabel":"string"}},"type":"object","uniqueKey":"oneOf.1.cert.browser.version","typeLabel":"object"}},"type":"object","isRequired":true,"uniqueKey":"oneOf.1.cert.browser","typeLabel":"object"},"cert_id":{"description":"Certificate ID","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.cert_id","typeLabel":"string"},"created_at":{"description":"The UTC ISO8601 formatted date and time when the TrustedForm script was loaded","format":"date-time","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.created_at","typeLabel":"string\u003cdate-time>"},"domain":{"description":"The domain of the page url","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.domain","typeLabel":"string"},"event_duration_ms":{"description":"The time in milliseconds between when the script was loaded and when the most recent event was received","type":"integer","isRequired":true,"uniqueKey":"oneOf.1.cert.event_duration_ms","typeLabel":"integer"},"expires_at":{"description":"The UTC ISO8601 formatted date and time when the claim period for the certificate will expire","format":"date-time","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.expires_at","typeLabel":"string\u003cdate-time>"},"form_input_method":{"description":" The detected input method or methods the consumer used to fill out the form\n\n * `autofill`: The form was filled out using browser autofill.\n * `paste`: The form was filled out pasting text.\n * `typing`: The form was filled out typing.\n","items":{"enum":["autofill","paste","typing"],"type":"string","uniqueKey":"oneOf.1.cert.form_input_method.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","uniqueItems":true,"isRequired":true,"uniqueKey":"oneOf.1.cert.form_input_method","typeLabel":"enum\u003cstring>[]"},"ip":{"description":"The consumer's public IP address","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.ip","typeLabel":"string"},"is_framed":{"description":"A boolean indicating that the form was displayed within an iframe","type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.cert.is_framed","typeLabel":"boolean"},"is_mobile":{"description":"A boolean indicating that the form was filled out on a mobile device or tablet, based on user-agent","type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.cert.is_mobile","typeLabel":"boolean"},"kpm":{"description":"Approximate calculated words per minute","type":"number","isRequired":true,"uniqueKey":"oneOf.1.cert.kpm","typeLabel":"number"},"operating_system":{"description":"Operating system information parsed from the user-agent, when known","properties":{"full":{"description":"A human-friendly version of the operating system information parsed from the user-agent","type":"string","uniqueKey":"oneOf.1.cert.operating_system.full","typeLabel":"string"},"name":{"description":"Operating system name","type":"string","uniqueKey":"oneOf.1.cert.operating_system.name","typeLabel":"string"},"version":{"description":"Operating system version","properties":{"full":{"description":"A String containing the version","type":"string","uniqueKey":"oneOf.1.cert.operating_system.version.full","typeLabel":"string"},"major":{"description":"A String containing the major version","type":"string","uniqueKey":"oneOf.1.cert.operating_system.version.major","typeLabel":"string"},"minor":{"description":"A String containing the minor version","type":"string","uniqueKey":"oneOf.1.cert.operating_system.version.minor","typeLabel":"string"},"patch":{"description":"A String containing the patch version","type":"string","uniqueKey":"oneOf.1.cert.operating_system.version.patch","typeLabel":"string"}},"type":"object","uniqueKey":"oneOf.1.cert.operating_system.version","typeLabel":"object"}},"type":"object","isRequired":true,"uniqueKey":"oneOf.1.cert.operating_system","typeLabel":"object"},"page_id":{"description":"The account based unique page id","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.page_id","typeLabel":"string"},"page_url":{"description":"The URL of the page hosting the TrustedForm script","format":"url","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.page_url","typeLabel":"string\u003curl>"},"parent_page_url":{"oneOf":[{"description":"The parent URL of the page hosting the TrustedForm script, if framed","format":"url","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.parent_page_url.oneOf.0","typeLabel":"string\u003curl>"},{"description":"The parent URL of the page hosting the TrustedForm script, if framed","format":"url","type":"null","isRequired":true,"uniqueKey":"oneOf.1.cert.parent_page_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.cert.parent_page_url","typeLabel":"string\u003curl> | null"},"user_agent":{"description":"The consumer's browser user-agent","type":"string","isRequired":true,"uniqueKey":"oneOf.1.cert.user_agent","typeLabel":"string"},"wpm":{"description":"Approximate calculated key presses per minute","type":"number","isRequired":true,"uniqueKey":"oneOf.1.cert.wpm","typeLabel":"number"}},"required":["age_seconds","approx_ip_geo","browser","cert_id","created_at","domain","expires_at","event_duration_ms","is_framed","form_input_method","ip","kpm","is_mobile","operating_system","page_id","page_url","parent_page_url","user_agent","wpm"],"title":"WebCertificate","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.WebCertV3","isRequired":true,"uniqueKey":"oneOf.1.cert","typeLabel":"WebCertificate · object"},"fingerprints":{"example":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"properties":{"matching":{"description":"Requested fingerprints that match fingerprints collected with the certificate","items":{"type":"string","uniqueKey":"oneOf.1.fingerprints.matching.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.1.fingerprints.matching","typeLabel":"string[]"},"not_matching":{"description":"Fingerprints that do not match fingerprints collected with the certificate","items":{"type":"string","uniqueKey":"oneOf.1.fingerprints.not_matching.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.1.fingerprints.not_matching","typeLabel":"string[]"}},"title":"Fingerprints","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimFingerprints","isRequired":true,"uniqueKey":"oneOf.1.fingerprints","typeLabel":"Fingerprints · object"},"is_masked":{"description":"A boolean indicating whether the certificate is masked","type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.is_masked","typeLabel":"boolean"},"masked_cert_url":{"oneOf":[{"description":"A certificate url that masks the lead source url and snapshot","type":"string","isRequired":true,"uniqueKey":"oneOf.1.masked_cert_url.oneOf.0","typeLabel":"string"},{"description":"A certificate url that masks the lead source url and snapshot","type":"null","isRequired":true,"uniqueKey":"oneOf.1.masked_cert_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.masked_cert_url","typeLabel":"string | null"},"outcome":{"default":"success","description":"The result of the attempt to verify consent. Success indicates that the certificate was\nclaimed and did not generate any warnings related to consent verification. Failure indicates\nthat the certificate was claimed but generated warnings because no fingerprints matched,\nforbidden scan terms were found or required scan terms were missing. Error indicates that\nthe certificate was not claimed and the request should be reviewed and potentially retried.\n","enum":["success","failure","error"],"type":"string","isRequired":true,"uniqueKey":"oneOf.1.outcome","typeLabel":"enum\u003cstring>"},"scans":{"example":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"properties":{"forbidden_found":{"description":"Requested required text found on page","items":{"type":"string","uniqueKey":"oneOf.1.scans.forbidden_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.1.scans.forbidden_found","typeLabel":"string[]"},"forbidden_not_found":{"description":"Requested required text not found on page","items":{"type":"string","uniqueKey":"oneOf.1.scans.forbidden_not_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.1.scans.forbidden_not_found","typeLabel":"string[]"},"required_found":{"description":"Requested required text found on page","items":{"type":"string","uniqueKey":"oneOf.1.scans.required_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.1.scans.required_found","typeLabel":"string[]"},"required_not_found":{"description":"Requested required text not found on page","items":{"type":"string","uniqueKey":"oneOf.1.scans.required_not_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"oneOf.1.scans.required_not_found","typeLabel":"string[]"}},"required":["required_found","required_not_found","forbidden_found","forbidden_not_found"],"title":"PageScans","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimPageScans","isRequired":true,"uniqueKey":"oneOf.1.scans","typeLabel":"PageScans · object"},"warnings":{"description":" An array of strings indicating possible issues with the certificate\n\n * `none of the provided fingerprints match`: No fingerprints matched.\n * `snapshot scan failed`: The snapshot was unable to be scanned.\n * `string not found in snapshot`: A required page scan text was not found.\n * `string found in snapshot`: A forbidden page scan text was found.\n","items":{"enum":["none of the provided fingerprints match","snapshot scan failed","string not found in snapshot","string found in snapshot"],"type":"string","uniqueKey":"oneOf.1.warnings.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","isRequired":true,"uniqueKey":"oneOf.1.warnings","typeLabel":"enum\u003cstring>[]"},"reason":{"description":"Provides an explanation for failure or error.\n\nOnly used for `outcome` of `failure` or `error`.\n","type":"string","uniqueKey":"oneOf.1.reason","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"ConsentAndInsightsClaimResponse · object"},{"type":"object","title":"RetainResponse","required":["outcome"],"x-struct":"Elixir.ClaimerWeb.Schemas.LimitedOrFullClaim","example":{"is_retained":"true","outcome":"success"},"properties":{"outcome":{"default":"success","description":"The result of the attempt to verify a cert was retained. Success indicates that the certificate was\nretained and did not generate any warnings related to consent verification. Failure indicates\nthat the certificate was retained but generated warnings because no fingerprints matched,\nforbidden scan terms were found or required scan terms were missing. Error indicates that\nthe certificate was not retained and the request should be reviewed and potentially retried.\n","enum":["success","failure","error"],"type":"string","isRequired":true,"uniqueKey":"oneOf.2.outcome","typeLabel":"enum\u003cstring>"},"is_retained":{"description":"Set to true when the cert has been retained\"\nOnly used for `outcome` of `success`.\n","type":"boolean","uniqueKey":"oneOf.2.is_retained","typeLabel":"boolean"},"reason":{"description":"Provides an explanation for failure or error.\n\nOnly used for `outcome` of `failure` or `error`.\n","type":"string","uniqueKey":"oneOf.2.reason","typeLabel":"string"}},"uniqueKey":"oneOf.2","typeLabel":"RetainResponse · object"},{"type":"object","title":"InsightsResponse","description":"Insights Component Response","required":["outcome","cert","is_masked","scans","fingerprints"],"x-struct":"Elixir.ClaimerWeb.Schemas.LimitedOrFullClaim","example":{"cert":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"fingerprints":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"is_masked":false,"outcome":"success","scans":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"warnings":[]},"properties":{"cert":{"example":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"properties":{"age_seconds":{"description":"Number of seconds since the last user interaction with the certificate","type":"integer","isRequired":true,"uniqueKey":"oneOf.3.cert.age_seconds","typeLabel":"integer"},"approx_ip_geo":{"oneOf":[{"description":"Approximate geolocation based on IP","properties":{"city":{"oneOf":[{"description":"City Name","type":"string","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.city.oneOf.0","typeLabel":"string"},{"description":"City Name","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.city","typeLabel":"string | null"},"country_code":{"oneOf":[{"description":"Country Code","type":"string","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"description":"Country Code","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.country_code","typeLabel":"string | null"},"lat":{"oneOf":[{"description":"Latitude","type":"number","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.lat.oneOf.0","typeLabel":"number"},{"description":"Latitude","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.lat.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.lat","typeLabel":"number | null"},"lon":{"oneOf":[{"description":"Longitude","type":"number","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.lon.oneOf.0","typeLabel":"number"},{"description":"Longitude","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.lon.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.lon","typeLabel":"number | null"},"postal_code":{"oneOf":[{"description":"Mailing address postal code","type":"string","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"description":"Mailing address postal code","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"description":"State/Province or Political Subdivision abbreviation","type":"string","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.state.oneOf.0","typeLabel":"string"},{"description":"State/Province or Political Subdivision abbreviation","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.state","typeLabel":"string | null"},"time_zone":{"oneOf":[{"description":"Timezone name","type":"string","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.time_zone.oneOf.0","typeLabel":"string"},{"description":"Timezone name","type":"null","uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.time_zone.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0.time_zone","typeLabel":"string | null"}},"type":"object","isRequired":true,"uniqueKey":"oneOf.3.cert.approx_ip_geo.oneOf.0","typeLabel":"object"},{"description":"Approximate geolocation based on IP","properties":{"city":{"oneOf":[{"description":"City Name","type":"string"},{"description":"City Name","type":"null"}]},"country_
[...]
